/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { AzureMLWebServicesManagementClient } from "@azure/arm-webservices";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets the Web Service Definition as specified by a subscription, resource group, and name. Note that the storage credentials and web service keys are not returned by this call. To get the web service access keys, call List Keys.
 *
 * @summary Gets the Web Service Definition as specified by a subscription, resource group, and name. Note that the storage credentials and web service keys are not returned by this call. To get the web service access keys, call List Keys.
 * x-ms-original-file: specification/machinelearning/resource-manager/Microsoft.MachineLearning/stable/2017-01-01/examples/getWebService.json
 */
function getWebService() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subscription-id";
        const resourceGroupName = "OneResourceGroupName";
        const webServiceName = "TargetWebServiceName";
        const credential = new DefaultAzureCredential();
        const client = new AzureMLWebServicesManagementClient(credential, subscriptionId);
        const result = yield client.webServices.get(resourceGroupName, webServiceName);
        console.log(result);
    });
}
getWebService().catch(console.error);
//# sourceMappingURL=webServicesGetSample.js.map