/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { AzureMLWebServicesManagementClient } from "@azure/arm-webservices";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets the access keys for the specified web service.
 *
 * @summary Gets the access keys for the specified web service.
 * x-ms-original-file: specification/machinelearning/resource-manager/Microsoft.MachineLearning/stable/2017-01-01/examples/getWebServiceKeys.json
 */
function getWebServiceKeys() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subscription-id";
        const resourceGroupName = "OneResourceGroupName";
        const webServiceName = "TargetWebServiceName";
        const credential = new DefaultAzureCredential();
        const client = new AzureMLWebServicesManagementClient(credential, subscriptionId);
        const result = yield client.webServices.listKeys(resourceGroupName, webServiceName);
        console.log(result);
    });
}
getWebServiceKeys().catch(console.error);
//# sourceMappingURL=webServicesListKeysSample.js.map